
QGIS Application - Bug report #20348

Join attributes by location crashing

2018-11-03 12:07 PM - Jukka Y

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.0.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28169

Description

When performing 'Join attributes by location (summary)' it crashes always at 66%. The problem is not dependent on the number variables

summarized and seems to be associated with certain shape-files only.

Report Details

Crash ID: 904949483e96281cc4d6b352f1a781e7df07bd29

Stack Trace

geos::index::strtree::STRtree::STRIntersectsOp::~STRIntersectsOp :

QgsGeos::createGeosLinestring :

QgsGeos::asGeos :

QgsGeos::asGeos :

QgsGeos::relation :

std::_String_alloc<std::_String_base_types<char,std::allocator<char> > >::_Swap_all :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyObject_Call :

PyInit_sip :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::shrink_to_fit :

std::_String_alloc<std::_String_base_types<char,std::allocator<char> > >::_Get_data :

QgsProcessingAlgorithm::runPrepared :

QgsProcessingAlgRunnerTask::run :

std::_String_alloc<std::_String_base_types<char,std::allocator<char> > >::_Get_data :

QgsTask::start :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.2-Girona

QGIS code revision: commit:307d082e3d

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299
History

#1 - 2018-11-03 09:54 PM - Nyall Dawson

- Status changed from Open to Feedback

Please test with 3.4.1 - 3.0 is unsupported.

#2 - 2019-02-11 05:01 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
